Skip to main content
GET
/
v3
/
appointment-definitions
/
{appointmentDefinition}
Read Appointment Definition
curl --request GET \
  --url https://api.{tenant}.getomneo.com/api/v3/appointment-definitions/{appointmentDefinition}
import requests

url = "https://api.{tenant}.getomneo.com/api/v3/appointment-definitions/{appointmentDefinition}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.{tenant}.getomneo.com/api/v3/appointment-definitions/{appointmentDefinition}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": 123,
    "handle": "<string>",
    "name": "<string>",
    "description": "<string>",
    "short_description": "<string>",
    "long_description": "<string>",
    "icon": "<string>",
    "image_url": "<string>",
    "terms_conditions": "<string>",
    "internal_notes": "<string>",
    "visibility_condition": [
      "<unknown>"
    ],
    "is_published": true,
    "is_archived": true,
    "duration_minutes": 123,
    "buffer_before_minutes": 123,
    "buffer_after_minutes": 123,
    "min_lead_minutes": 123,
    "max_advance_days": 123,
    "slot_interval_minutes": 123,
    "booking_type": "<string>",
    "allow_customer_booking": true,
    "allow_walk_in": true,
    "requires_staff": true,
    "customer_must_select_staff": true,
    "use_staff_from_location": true,
    "max_concurrent_bookings": 123,
    "allow_waitlist": true,
    "allow_queue": true,
    "meta": [
      "<unknown>"
    ],
    "created_target_id": 123,
    "confirmed_target_id": 123,
    "cancelled_target_id": 123,
    "rejected_target_id": 123,
    "reminder_target_id": 123,
    "notify_created_offset_days": 123,
    "notify_created_offset_hours": 123,
    "notify_confirmed_offset_days": 123,
    "notify_confirmed_offset_hours": 123,
    "notify_cancelled_offset_days": 123,
    "notify_cancelled_offset_hours": 123,
    "notify_rejected_offset_days": 123,
    "notify_rejected_offset_hours": 123,
    "notify_reminder_offset_days": 123,
    "notify_reminder_offset_hours": 123,
    "has_booking_questionnaire": true,
    "created_at": "<string>",
    "updated_at": "<string>",
    "normal_hours": [
      {
        "id": 123,
        "appointment_definition_id": 123,
        "day_of_week": "<string>",
        "available_from": "<string>",
        "available_until": "<string>",
        "is_closed": "<string>",
        "created_at": "<string>",
        "updated_at": "<string>"
      }
    ],
    "special_hours": [
      {
        "id": 123,
        "appointment_definition_id": 123,
        "name": "<string>",
        "is_repeating": true,
        "available_from": "<string>",
        "available_until": "<string>",
        "start_at": "<string>",
        "end_at": "<string>",
        "is_closed": "<string>",
        "created_at": "<string>",
        "updated_at": "<string>"
      }
    ],
    "locations": [
      "<unknown>"
    ],
    "staff": [
      {
        "id": 123,
        "appointment_definition_id": 123,
        "staff_id": "<string>",
        "is_active": true,
        "staff": {
          "id": "<string>",
          "first_name": "<string>",
          "last_name": "<string>",
          "email": "<string>",
          "mobile_phone": "<string>",
          "normal_hours": [
            {
              "id": "<string>",
              "day_of_week": "<string>",
              "available_from": "<string>",
              "available_until": "<string>",
              "is_closed": "<string>"
            }
          ],
          "special_hours": [
            {
              "id": "<string>",
              "name": "<string>",
              "is_repeating": "<string>",
              "available_from": "<string>",
              "available_until": "<string>",
              "start_at": "<string>",
              "end_at": "<string>"
            }
          ]
        },
        "created_at": "<string>",
        "updated_at": "<string>"
      }
    ],
    "booking_questionnaire": {
      "id": "<string>",
      "name": "<string>",
      "purpose": "<string>",
      "is_active": "<string>",
      "pages": "<string>"
    }
  }
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}

Path Parameters

appointmentDefinition
integer
required

The appointment definition ID

Response

AppointmentDefinition

data
AppointmentDefinition · object
required